body {
  padding: 0.3em;
}

h1 {
  font: 110% arial;
}

th {
  background: #def;
}

tr {
  vertical-align: top;
}

tr:hover {
  outline: 2px solid green;
}

tr > *:nth-child(2), tr > *:nth-child(8) {
  border-left: 1px solid black;
}

td:nth-child(1), td:nth-child(3), td:nth-child(8) {
  white-space: nowrap;
}

.hidden {
  display: none;
}

.warning {
  background: yellow;
}

td {
  cursor: pointer;
}

button.unfilter {
  display: none;
}

td span {
  text-decoration: underline;
}